Package org.apache.tapestry5.services

## Class TransformConstants

- java.lang.Object
- - org.apache.tapestry5.services.TransformConstants

-     public final class TransformConstants
      extends java.lang.Object

  Constants used by implementations `ComponentClassTransformWorker2`. Note: render phase methods on transformed components will not be invoked unless the component model is updated to identify the use of the corresponding render phase. This represents an optimization introduced in Tapestry 5.1.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static MethodDescription` | `AFTER_RENDER_BODY_DESCRIPTION` | Description for `Component.afterRenderBody(MarkupWriter, Event)`.
    `static MethodDescription` | `AFTER_RENDER_DESCRIPTION` | Description for `Component.afterRender(MarkupWriter, Event)`
    `static MethodDescription` | `AFTER_RENDER_TEMPLATE_DESCRIPTION` | Description for `Component.afterRenderTemplate(MarkupWriter, Event)`.
    `static MethodDescription` | `BEFORE_RENDER_BODY_DESCRIPTION` | Description for `Component.beforeRenderBody(MarkupWriter, Event)`.
    `static MethodDescription` | `BEFORE_RENDER_TEMPLATE_DESCRIPTION` | Description for `Component.beforeRenderTemplate(MarkupWriter, Event)`.
    `static MethodDescription` | `BEGIN_RENDER_DESCRIPTION` | Description for `Component.beginRender(MarkupWriter, Event)`.
    `static MethodDescription` | `CLEANUP_RENDER_DESCRIPTION` | Description for `Component.cleanupRender(MarkupWriter, Event)`.
    `static MethodDescription` | `CONTAINING_PAGE_DID_ATTACH_DESCRIPTION` | Description for `PageLifecycleListener.containingPageDidAttach()`.
    `static MethodDescription` | `CONTAINING_PAGE_DID_DETACH_DESCRIPTION` | Description for `PageLifecycleListener.containingPageDidDetach()`.
    `static MethodDescription` | `CONTAINING_PAGE_DID_LOAD_DESCRIPTION` | Description for `PageLifecycleListener.containingPageDidLoad()`.
    `static MethodDescription` | `CONTAINING_PAGE_DID_RESET_DESCRIPTION` | Description for `PageResetListener.containingPageDidReset()`.
    `static MethodDescription` | `DISPATCH_COMPONENT_EVENT_DESCRIPTION` | Description for `Component.dispatchComponentEvent(org.apache.tapestry5.runtime.ComponentEvent)` .
    `static MethodDescription` | `POST_RENDER_CLEANUP_DESCRIPTION` | Description for `Component.postRenderCleanup()`.
    `static MethodDescription` | `SETUP_RENDER_DESCRIPTION` | Description for `Component.setupRender(MarkupWriter, Event)`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransformConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DISPATCH_COMPONENT_EVENT_DESCRIPTION

          public static final MethodDescription DISPATCH_COMPONENT_EVENT_DESCRIPTION

      Description for `Component.dispatchComponentEvent(org.apache.tapestry5.runtime.ComponentEvent)` .
      Since:
        5.3
      See Also:
        `OnEvent`

    - #### CONTAINING_PAGE_DID_LOAD_DESCRIPTION

          public static final MethodDescription CONTAINING_PAGE_DID_LOAD_DESCRIPTION

      Description for `PageLifecycleListener.containingPageDidLoad()`.
      Since:
        5.3

    - #### CONTAINING_PAGE_DID_RESET_DESCRIPTION

          public static final MethodDescription CONTAINING_PAGE_DID_RESET_DESCRIPTION

      Description for `PageResetListener.containingPageDidReset()`. Note that the `PageResetListener` interface is not automatically implemented by components. ]
      Since:
        5.3
      See Also:
        `PageReset`, `PageResetAnnotationWorker`

    - #### POST_RENDER_CLEANUP_DESCRIPTION

          public static final MethodDescription POST_RENDER_CLEANUP_DESCRIPTION

      Description for `Component.postRenderCleanup()`.
      Since:
        5.3

    - #### CONTAINING_PAGE_DID_DETACH_DESCRIPTION

          public static final MethodDescription CONTAINING_PAGE_DID_DETACH_DESCRIPTION

      Description for `PageLifecycleListener.containingPageDidDetach()`.
      Since:
        5.3

    - #### CONTAINING_PAGE_DID_ATTACH_DESCRIPTION

          public static final MethodDescription CONTAINING_PAGE_DID_ATTACH_DESCRIPTION

      Description for `PageLifecycleListener.containingPageDidAttach()`.
      Since:
        5.3

    - #### SETUP_RENDER_DESCRIPTION

          public static final MethodDescription SETUP_RENDER_DESCRIPTION

      Description for `Component.setupRender(MarkupWriter, Event)`.
      Since:
        5.3
      See Also:
        `SetupRender`

    - #### BEGIN_RENDER_DESCRIPTION

          public static final MethodDescription BEGIN_RENDER_DESCRIPTION

      Description for `Component.beginRender(MarkupWriter, Event)`.
      Since:
        5.3
      See Also:
        `BeginRender`

    - #### BEFORE_RENDER_TEMPLATE_DESCRIPTION

          public static final MethodDescription BEFORE_RENDER_TEMPLATE_DESCRIPTION

      Description for `Component.beforeRenderTemplate(MarkupWriter, Event)`.
      Since:
        5.3
      See Also:
        `BeforeRenderTemplate`

    - #### AFTER_RENDER_TEMPLATE_DESCRIPTION

          public static final MethodDescription AFTER_RENDER_TEMPLATE_DESCRIPTION

      Description for `Component.afterRenderTemplate(MarkupWriter, Event)`.
      Since:
        5.3
      See Also:
        `BeforeRenderTemplate`

    - #### BEFORE_RENDER_BODY_DESCRIPTION

          public static final MethodDescription BEFORE_RENDER_BODY_DESCRIPTION

      Description for `Component.beforeRenderBody(MarkupWriter, Event)`.
      Since:
        5.3
      See Also:
        `BeforeRenderBody`

    - #### AFTER_RENDER_BODY_DESCRIPTION

          public static final MethodDescription AFTER_RENDER_BODY_DESCRIPTION

      Description for `Component.afterRenderBody(MarkupWriter, Event)`.
      Since:
        5.3
      See Also:
        `AfterRenderBody`

    - #### AFTER_RENDER_DESCRIPTION

          public static final MethodDescription AFTER_RENDER_DESCRIPTION

      Description for `Component.afterRender(MarkupWriter, Event)`
      Since:
        5.3
      See Also:
        `AfterRender`

    - #### CLEANUP_RENDER_DESCRIPTION

          public static final MethodDescription CLEANUP_RENDER_DESCRIPTION

      Description for `Component.cleanupRender(MarkupWriter, Event)`.
      Since:
        5.3
      See Also:
        `CleanupRender`

  - ### Constructor Detail

    - #### TransformConstants

          public TransformConstants()